Sales, commission and orders per store and blended, against the previous range
GET
/api/public/v1/stores/overviewLiveAnswers from your brand's records now.
Operation id getStoresOverview
Request
curl
curl "https://creator.growthdept.ai/api/public/v1/stores/overview" \
-H "Authorization: Bearer gdc_..."Parameters
| Name | In | Type | Notes |
|---|---|---|---|
| organization_id | query | integer | |
| start_date | query | string (date) | |
| end_date | query | string (date) |
Responses
200Success
| Field | Type | Notes |
|---|---|---|
| data | object | |
| data.blended | object | |
| data.blended.deltas | object | |
| data.blended.prior_series | array of object | |
| data.blended.series | array of object | |
| data.blended.totals | object | |
| data.blended.totals.active_creators | integer | |
| data.blended.totals.aov_cents | integer, nullable | |
| data.blended.totals.commission_cents | integer | |
| data.blended.totals.gmv_cents | integer | |
| data.blended.totals.orders | integer | |
| data.blended.totals.refund_cents | integer | |
| data.blended.totals.revenue_per_commission | number, nullable | |
| data.channels | array of object | |
| data.channels[].[].attribution | object | |
| data.channels[].[].attribution.last_click | object | |
| data.channels[].[].attribution.meta_reported | object | |
| data.channels[].[].attribution.spend | object | |
| data.channels[].[].attribution.spend_scope | string | |
| data.channels[].[].attribution.triple_whale | object | |
| data.channels[].[].available | boolean | |
| data.channels[].[].connected | boolean | |
| data.channels[].[].data_through | string (date), nullable | |
| data.channels[].[].deltas | object | |
| data.channels[].[].key | string | One of shopifytiktok_shopamazonwebsiteiosandroidmeta_ads |
| data.channels[].[].last_data_date | string (date), nullable | |
| data.channels[].[].last_synced_at | string (date-time), nullable | |
| data.channels[].[].name | string | |
| data.channels[].[].series | array of object | |
| data.channels[].[].series[].[].commission_cents | integer | |
| data.channels[].[].series[].[].date | string (date) | |
| data.channels[].[].series[].[].gmv_cents | integer | |
| data.channels[].[].series[].[].orders | integer | |
| data.channels[].[].status | string | |
| data.channels[].[].totals | object | |
| data.channels[].[].totals.active_creators | integer | |
| data.channels[].[].totals.aov_cents | integer, nullable | |
| data.channels[].[].totals.commission_cents | integer | |
| data.channels[].[].totals.gmv_cents | integer | |
| data.channels[].[].totals.orders | integer | |
| data.channels[].[].totals.refund_cents | integer | |
| data.channels[].[].totals.revenue_per_commission | number, nullable | |
| data.currency_symbol | string | |
| data.organization_type | string, nullable | |
| data.range | object | |
| data.range.end | string (date) | |
| data.range.prior_end | string (date) | |
| data.range.prior_start | string (date) | |
| data.range.start | string (date) | |
| success | boolean |
Example
{
"data": {
"blended": {
"deltas": {},
"prior_series": [
{}
],
"series": [
{}
],
"totals": {
"active_creators": 3,
"aov_cents": 12500,
"commission_cents": 12500,
"gmv_cents": 12500,
"orders": 3,
"refund_cents": 12500,
"revenue_per_commission": 125.5
}
},
"channels": [
{
"attribution": {
"last_click": {
"available": null,
"orders": null,
"revenue_cents": null,
"roas": null,
"series": null
},
"meta_reported": {
"available": null,
"orders": null,
"revenue_cents": null,
"roas": null,
"series": null
},
"spend": {
"series": null,
"spend_cents": null
},
"spend_scope": "string",
"triple_whale": {
"available": null,
"orders": null,
"revenue_cents": null,
"roas": null,
"series": null
}
},
"available": true,
"connected": true,
"data_through": "2026-11-01",
"deltas": {},
"key": "shopify",
"last_data_date": "2026-11-01",
"last_synced_at": "2026-11-01T15:04:05Z",
"name": "Example name",
"series": [
{
"commission_cents": null,
"date": null,
"gmv_cents": null,
"orders": null
}
],
"status": "string",
"totals": {
"active_creators": 3,
"aov_cents": 12500,
"commission_cents": 12500,
"gmv_cents": 12500,
"orders": 3,
"refund_cents": 12500,
"revenue_per_commission": 125.5
}
}
],
"currency_symbol": "string",
"organization_type": "string",
"range": {
"end": "2026-11-01",
"prior_end": "2026-11-01",
"prior_start": "2026-11-01",
"start": "2026-11-01"
}
},
"success": true
}Errors: 401404422429with an error and usually a message. See errors.
Example values are made up from each field's type and name.